
export default (self, expData = []) => {
  return [


    {
      dataIndex: 'shipbillNo',
      title: '运单号',
      sorter: (a, b) => a.shipbillNo?.localeCompare(b.shipbillNo),
      width: 200,
      customRender: (txt, record) => {
        const { recordTagWord,colorTagFontColor } = record
      let text= self._c(
          'a',
          {
            attrs: {
              href: 'javascript:void(0)',
            },
            style: {[colorTagFontColor&&'color']: colorTagFontColor},
            // on: {
            //   click: (event) => {
            //     event.stopPropagation()
            //     return self.toView(record)
            //   },
            // },
          },
          [self._v(txt)])
        if (recordTagWord) {
          return self._c('a-space', {}, [text, self._c('a-badge', {
            attrs: {
              numberStyle:{boxShadow:'none'},
              count: recordTagWord,
              overflowCount:Infinity
            }
          },
          )])
        } else {
          return text
        }

      },
    },
    {
      dataIndex: 'orderNo',
      title: '订单号',
      sorter: (a, b) => a.orderNo?.localeCompare(b.orderNo),
      width: 180,

    },
    {
      dataIndex: 'itemCode',
      title: '商品编码',
      sorter: (a, b) => a.itemCode?.localeCompare(b.itemCode),
      width: 120
    },
    {
      dataIndex: 'itemName',
      title: '商品名称',
      sorter: (a, b) => a.itemName?.localeCompare(b.itemName),
      width: 160
    },
    {
      dataIndex: "planPcs",
      title: "发货数量",
      width: 120,
      sorter: (a, b) => {
        return a.planPcs - b.planPcs;
      }
    },





  ]
}



